org.firebirdsql.gds.ng.wire.auth.legacy

## Class LegacyAuthenticationPluginSpi

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.auth.legacy.LegacyAuthenticationPluginSpi

All Implemented Interfaces:
  AuthenticationPluginSpi

    public class LegacyAuthenticationPluginSpi
    extends java.lang.Object
    implements AuthenticationPluginSpi

Legacy authentication plugin service provider.

Author:
  Mark Rotteveel

### Field Summary

Fields
`static java.lang.String` `LEGACY_AUTH_NAME`

### Constructor Summary

Constructors
Constructor and Description
`LegacyAuthenticationPluginSpi()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AuthenticationPlugin` `createPlugin()`
`java.lang.String` `getPluginName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LEGACY_AUTH_NAME

    public static final java.lang.String LEGACY_AUTH_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### LegacyAuthenticationPluginSpi

    public LegacyAuthenticationPluginSpi()

### Method Detail

#### getPluginName

    public java.lang.String getPluginName()

Specified by:
  `getPluginName` in interface `AuthenticationPluginSpi`
Returns:
  Name of the plugin as used by Firebird

#### createPlugin

    public AuthenticationPlugin createPlugin()

Specified by:
  `createPlugin` in interface `AuthenticationPluginSpi`
Returns:
  Plugin instance